Public Attributes | List of all members
ble_gap_subrate_req_t Struct Reference
BLE » Generic Access Profile (GAP) » Generic Access Profile (GAP) Connection Control » Structures

Subrate Request command param. More...

`#include <ble_gapc.h>`

## Public Attributes
uint16_t | subrate_min
| Minimum subrate factor allowed in requests by a Peripheral(Range: 0x0001 - 0x01F4, Default: 0x0001). More...
uint16_t | subrate_max
| Maximum subrate factor allowed in requests by a Peripheral(Range: 0x0001 - 0x01F4, Default: 0x0001). More...
uint16_t | max_latency
| Maximum Peripheral latency allowed in requests by a Peripheral. More...
uint16_t | continuation_num
| Minimum number of underlying connection events to remain active. More...
uint16_t | superv_timeout
| Maximum supervision timeout allowed in requests by a Peripheral. More...

## Detailed Description

Subrate Request command param.

Definition at line 682 of file ble_gapc.h.

## Member Data Documentation

## ◆ continuation_num

uint16_t ble_gap_subrate_req_t::continuation_num

Minimum number of underlying connection events to remain active.

Definition at line 687 of file ble_gapc.h.

## ◆ max_latency

uint16_t ble_gap_subrate_req_t::max_latency

Maximum Peripheral latency allowed in requests by a Peripheral.

Definition at line 686 of file ble_gapc.h.

## ◆ subrate_max

uint16_t ble_gap_subrate_req_t::subrate_max

Maximum subrate factor allowed in requests by a Peripheral(Range: 0x0001 - 0x01F4, Default: 0x0001).

Definition at line 685 of file ble_gapc.h.

## ◆ subrate_min

uint16_t ble_gap_subrate_req_t::subrate_min

Minimum subrate factor allowed in requests by a Peripheral(Range: 0x0001 - 0x01F4, Default: 0x0001).

Definition at line 684 of file ble_gapc.h.

## ◆ superv_timeout

uint16_t ble_gap_subrate_req_t::superv_timeout

Maximum supervision timeout allowed in requests by a Peripheral.

Definition at line 688 of file ble_gapc.h.

The documentation for this struct was generated from the following file:

- ble_gapc.h